GET Api/Damage/{id}
URI Example
GET Api/Damage/{id}
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
None.
Resource Description
DamageResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| DamageCategoryId | integer |
None. |
|
| ParentDamageId | integer |
None. |
|
| Name | Object |
None. |
|
| Description | Object |
None. |
|
| Interrelations | Object |
None. |
|
| EquivalentTerms | Object |
None. |
|
| NoToBeConfusedWith | Object |
None. |
|
| Inactive | boolean |
None. |
|
| UpdateDate | date |
None. |
|
| _links | Dictionary of string [key] and Link [value] |
None. |
|
| _embedded | Dictionary of string [key] and Object [value] |
None. |
Response Formats
application/json, text/json, application/hal+json
-
{ "_links": { "sample string 1": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] }, "sample string 2": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] } }, "id": 1, "damageCategoryId": 2, "parentDamageId": 1, "name": {}, "description": {}, "interrelations": {}, "equivalentTerms": {}, "noToBeConfusedWith": {}, "inactive": true, "updateDate": "2026-10-29T13:06:54.3439592+01:00", "_embedded": { "sample string 1": {}, "sample string 3": {} } }